Subject: Re: [RFC PATCH] net: Add support for virtual machine device queues (VMDQ)

From: John Fastabend <[email-masked]>
Date: Mon, 27 Aug 2012 10:21:28 -0700

On 8/27/2012 2:47 AM, Or Gerlitz wrote:
> On Sun, Aug 26, 2012 at 10:09 PM, John Fastabend
> <[email-masked]> wrote:
>> That seems reasonable to me. Adding a 'sub' argument to the set
>> routines should do it. Also the 'get' routines would need to be
>> extended to report back these virtual net devices.
>>
>> int (*ndo_set_vf_mac)(struct net_device *dev, int vf, int sub, u8* mac);
>> int (*ndo_set_vf_vlan)(struct net_device *dev,
>>                         int vf, int sub, u16 vlan, u8 qos);
>> int (*ndo_set_vf_tx_rate)(struct net_device *dev,
>>                            int vf, int sub, int rate);
>> int (*ndo_set_vf_spoofchk)(struct net_device *dev,
>>                             int vf, int sub, bool setting);
>> int (*ndo_get_vf_config)(struct net_device *dev,
>>                           int vf, int sub,
>>                           struct fila_vf_info *ivf)
>
>> I would need to check if any of the ixgbe/igb supported hardware can
>> support virtual device queues on virtual functions like this but I
>> presume if your looking at this you have some hardware that can.
>
> Yes, we look on HW that can.
>
> Your suggestion makes sense, I will check here if this well addresses
> the eswitch
> use case we envision or/what is missing.
>
> Or.
>

Sounds good let us know. Ben had some comments I need to address as
well.

.John